﻿Imports System.Data.SqlClient
Imports System.IO

Public Class Form1

    Private ImageAUsar As Image

    Private Sub btnObterImagem_Click(sender As Object, e As EventArgs) Handles btnObterImagem.Click
        Using OFD As New OpenFileDialog With {.Filter = "Jpg (*.jpg)|*.jpg"}
            If OFD.ShowDialog = DialogResult.OK Then
                ImageAUsar = Image.FromFile(OFD.FileName)
                picImagem.Image = ImageAUsar
            End If
        End Using
    End Sub

    Private Sub btnSalvarImagem_Click(sender As Object, e As EventArgs) Handles btnSalvarImagem.Click
        Try
            Using con As New SqlConnection("Data Source=(LocalDB)\v11.0;Initial Catalog=Cadastro;Integrated Security=True")
                Using com As New SqlCommand("Insert into Impressoes(Imagem) values (@Imagem)", con)
                    Using ms As New IO.MemoryStream
                        ImageAUsar.Save(ms, System.Drawing.Imaging.ImageFormat.Jpeg)
                        Dim byteArray = ms.ToArray
                        com.Parameters.AddWithValue("@Imagem", byteArray)
                        con.Open()
                        com.ExecuteNonQuery()
                        MessageBox.Show("Imagem Salva com sucesso.")
                    End Using
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(" Erro " & ex.Message)
        End Try

    End Sub

    Private Sub btnRecuperarImagem_Click(sender As Object, e As EventArgs) Handles btnRecuperarImagem.Click
        Try
            Dim oValor As String = InputBox("Informe o código da Imagem", "Recupera Imagens", "1", 400, 400)
            If String.IsNullOrWhiteSpace(oValor) Then
                Exit Sub
            End If
            Using con As New SqlConnection("Data Source=(LocalDB)\v11.0;Initial Catalog=Cadastro;Integrated Security=True")
                Using com As New SqlCommand("Select Imagem from Impressoes where ID=@ID", con)
                    com.Parameters.AddWithValue("@ID", Convert.ToInt32(oValor))
                    con.Open()
                    Dim tempImagem As Byte() = DirectCast(com.ExecuteScalar(), Byte())
                    If tempImagem Is Nothing Then
                        MessageBox.Show("Imagem não localizada", "Erro")
                        Exit Sub
                    Else
                        Dim strArquivo As String = Convert.ToString(DateTime.Now.ToFileTime())
                        Dim fs As New FileStream(strArquivo, FileMode.CreateNew, FileAccess.Write)
                        fs.Write(tempImagem, 0, tempImagem.Length)
                        fs.Flush()
                        fs.Close()
                        picImagem.Image = Image.FromFile(strArquivo)
                    End If
                End Using
            End Using
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub
End Class
